This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 890909 - Review Request: efreet - Standards handling for freedesktop.org standards
Review Request: efreet - Standards handling for freedesktop.org standards
Status: CLOSED DUPLICATE of bug 998303
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-30 23:57 EST by Rahul Sundaram
Modified: 2013-08-18 22:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 22:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2012-12-30 23:57:19 EST
Spec URL: http://sundaram.fedorapeople.org/packages/efreet.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/efreet-1.7.4-1.fc18.src.rpm
Description:
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are
included:
  * Base Directory
  * Desktop Entry
  * Icon Theme
  * Menu
  * Trash
  * Mime
Fedora Account System Username:sundaram
Comment 1 Michael Scherer 2012-12-31 11:33:32 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package was already in Fedora, please keep in mind for the git request

- Various rpmlint warning about unused-direct-shlib-dependency

- Dependency should be fully versionned and there is no
 No Requires: %{name}%{?_isa} = %{version}-%{release} in efreet-devel
( ie, isa is missing )

- there is a direcoty with tests, and they are not enable ( src/tests ),
they should be enabled.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in efreet-
     devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/890909-efreet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: efreet-1.7.4-1.fc19.x86_64.rpm
          efreet-devel-1.7.4-1.fc19.x86_64.rpm
efreet.x86_64: W: spelling-error Summary(en_US) freedesktop -> free desktop, free-desktop, desktop
efreet.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
efreet-devel.x86_64: W: summary-not-capitalized C efreet headers, documentation and test programs
efreet-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint efreet-devel efreet
efreet-devel.x86_64: W: summary-not-capitalized C efreet headers, documentation and test programs
efreet-devel.x86_64: W: no-documentation
efreet.x86_64: W: spelling-error Summary(en_US) freedesktop -> free desktop, free-desktop, desktop
efreet.x86_64: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
efreet.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libefreet_trash.so.1.7.4 /lib64/libecore.so.1
efreet.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libefreet_trash.so.1.7.4 /lib64/libeet.so.1
efreet.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libefreet_mime.so.1.7.4 /lib64/libeet.so.1
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
efreet-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ecore-devel
    efreet
    libefreet.so.1()(64bit)
    libefreet_mime.so.1()(64bit)
    libefreet_trash.so.1()(64bit)
    pkgconfig
    pkgconfig(ecore)
    pkgconfig(ecore-file)
    pkgconfig(eet)
    pkgconfig(eina)

efreet (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libecore.so.1()(64bit)
    libecore_file.so.1()(64bit)
    libeet.so.1()(64bit)
    libefreet.so.1()(64bit)
    libeina.so.1()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
efreet-devel:
    efreet-devel
    efreet-devel(x86-64)
    pkgconfig(efreet)
    pkgconfig(efreet-mime)
    pkgconfig(efreet-trash)

efreet:
    efreet
    efreet(x86-64)
    libefreet.so.1()(64bit)
    libefreet_mime.so.1()(64bit)
    libefreet_trash.so.1()(64bit)



MD5-sum check
-------------
http://download.enlightenment.org/releases/efreet-1.7.4.tar.gz :
  CHECKSUM(SHA256) this package     : 30c757294d662ef618227fb7fb02a0f73a781f0d31bcb393970b6c7a931729e0
  CHECKSUM(SHA256) upstream package : 30c757294d662ef618227fb7fb02a0f73a781f0d31bcb393970b6c7a931729e0


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 890909
Comment 2 Christopher Meng 2013-07-16 02:05:36 EDT
Any updates here? I think all these tiny issues can be solved quickly.
Comment 3 Dan Mashal 2013-08-18 22:12:19 EDT
Review is dead.

*** This bug has been marked as a duplicate of bug 998303 ***

Note You need to log in before you can comment on or make changes to this bug.